# Anleitung

## Simulation 
Mit der Python-Datei __jumping_beans_xx.py kann man Jumping Beans interaktiv simulieren. 

Dabei kann man mit den **Schaltflächen** die Geschwindigkeit steuern, Edukte bzw. Produkte hinzufügen oder entfernen, 
die Breite der Edukt- bzw. Produktniveaus verändern (von 0 bis 1), Energien von Edukt, Produkt und die Aktivierungsenergie verändern, eine bestimmte kinetische energie vorgeben, die Teilchen ankicken, mit Reset den bisherigen Verlauf löschen, mit cla() den Bisherigen Verlauf *und* die Abbildung löschen, oder mit E_toggle festlegen, ob die kinetische Energie oder die totale Energie konstant gehalten werden soll (siehe Konsole für aktuelle Einstellung).
Bei einem Reset erscheinen in der Legende mehr und mehr Q - sie entsprechen den verschiedenen nacheinander aufgezeichneten Verläufen.  

Mit der Taste p hält man die Animation an, mit der Taste b startet und beendet man das Speichern von Bildern, mit den Tasten S, s, z und Z wählt man Voreinstellungen. 

## Film
Mittels FFmpeg (muss installiert sein) kann man die Bilder zu einem Film verknüpfen mit folgendem Befehl in cmd oder Powershell:

ffmpeg -start_number 0 -i animation_%04d.png -filter:v fps=30  -vf "pad=ceil(iw/2)*2:ceil(ih/2)*2" -pix_fmt yuv420p output.mp4

## Film zuschneiden
Mittels der angefügten Batch-Datei kann man den Film zuschneiden und neu zusammenfügen, so dass wahlweise nur die Animation oder dann Animation und Verlauf ohne Schaltflächen erscheinen.  